library ieee;
use ieee.std_logic_1164.all;
use work.GEN_CONST.all;

entity MULTIPLEXER is
  port (
    SEL : in std_logic;
    A,B : in std_logic_vector(w-1 downto 0);
    Y   : out std_logic_vector(w-1 downto 0)
  );
end MULTIPLEXER;

architecture MULTIPLEXER_BODY of MULTIPLEXER is
begin
P: process(SEL, A, B)
begin
    if SEL = '0' then Y <= B after 2 ns;
                 else Y <= A after 2 ns;
    end if;
end process;
end;