library ieee;
use ieee.std_logic_1164.all;
use ieee.std_logic_arith.all;
use work.GEN_CONST.all;

entity NEGATOR is
  port (
    A : in std_logic_vector(w-1 downto 0);
    Y : out std_logic_vector(w-1 downto 0)
  );
end NEGATOR;

architecture NEGATOR_BODY of NEGATOR is
    signal X: std_logic_vector(w-1 downto 0);
begin
N: process(A)
begin
    X <= not A after 1 ns;
end process;

S: process(X)
   variable c: std_logic;
begin
    c := '1';
    for i in 0 to w-1 loop
       Y(i) <= X(i) xor c after 3 ns;
       c := X(i) and c;
    end loop;
end process;
end;